Subject: [bug#54997] [PATCH 00/12] Add "least authority" program wrapper

From: Ludovic Courtès <[email-masked]>
Date: Wed, 20 Apr 2022 00:03:16 +0200

Maxime Devos <[email-masked]> skribis:

> Ludovic Courtès schreef op zo 17-04-2022 om 23:04 [+0200]:
>> +                (start #~(if (defined? 'make-inetd-constructor)
>
> This is for compatibility with reconfiguring on old Shepherds I
> presume?

Yes.

> I would add a comment here
>
>    ;; Only use 'make-inetd-constructor' if it exists in the current,
>    ;; Shepherd, possibly we are reconfiguring on an old Shepherd that
>    ;; does not yet have 'make-inetd-constructor'.

Will do; probably something shorter because the same pattern occurs
every time we use Shepherd 0.9 features.